CVE-2003-1403
CVSS7.5
发布时间 :2003-12-31 00:00:00
修订时间 :2008-09-05 16:36:50
NMCO    

[原文]foo.php3 in DotBr 0.1 allows remote attackers to obtain sensitive information via a direct request, which calls the phpinfo function.


[CNNVD]DotBr phpinfo环境变量信息泄露漏洞(CNNVD-200312-462)

        
        Dotbr是一款由PHP编写脚本程序。
        Dotbr不正确使用phpinfo()函数,远程攻击者可以利用这个漏洞获得大量系统变量信息,利用这些信息进一步对系统进行攻击。
        DotBr包含的'foo.php3'脚本由于使用了phpinfo()函数,攻击者调用这个脚本可以获得大量系统相关信息,利用这些敏感信息可以帮助攻击者进一步对系统进行攻击。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-20 [输入验证不恰当]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1403
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1403
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-462
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/11353
(UNKNOWN)  XF  dotbr-foo-info-disclosure(11353)
http://www.securityfocus.com/bid/6864
(UNKNOWN)  BID  6864
http://archives.neohapsis.com/archives/vulnwatch/2003-q1/0070.html
(UNKNOWN)  VULNWATCH  20030215 DotBr (PHP)
http://www.osvdb.org/5091
(UNKNOWN)  OSVDB  5091

- 漏洞信息

DotBr phpinfo环境变量信息泄露漏洞
高危 配置错误
2003-12-31 00:00:00 2003-12-31 00:00:00
远程  
        
        Dotbr是一款由PHP编写脚本程序。
        Dotbr不正确使用phpinfo()函数,远程攻击者可以利用这个漏洞获得大量系统变量信息,利用这些信息进一步对系统进行攻击。
        DotBr包含的'foo.php3'脚本由于使用了phpinfo()函数,攻击者调用这个脚本可以获得大量系统相关信息,利用这些敏感信息可以帮助攻击者进一步对系统进行攻击。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 修改php.ini的设置:
        disable_functions = phpinfo
        厂商补丁:
        DotBr
        -----
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://dotbr.org

- 漏洞信息

5091
DotBr foo.php3 Direct Request Remote Information Disclosure
Remote / Network Access Information Disclosure
Loss of Confidentiality
Exploit Public

- 漏洞描述

DotBr contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when requesting the 'foo.php3' script, which will disclose the location of the PHP code resulting in a loss of confidentiality.

- 时间线

2003-02-15 Unknow
2003-02-15 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站